%define upstream_name    Dist-Zilla-Plugin-ConsistentVersionTest
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Adds a release test to ensure that all modules have the same $VERSION
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::ConsistentVersion)
BuildArch: noarch


%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/consistent-version.t

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-5.mga9
+ Revision: 1808905
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-4.mga8
+ Revision: 1503980
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-3.mga7
+ Revision: 1283001
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.30.0-2.mga7
+ Revision: 1164130
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.30.0-1.mga7
+ Revision: 1157525
- update to 0.03

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-8.mga6
+ Revision: 1026185
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-7.mga6
+ Revision: 949593
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.20.0-6.mga5
+ Revision: 790044
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 744449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 684422
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 510998
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 366114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 40389
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ConsistentVersionTest

